indicator-weather applet is writing debug messages frequently to disk

Bug #917253 reported by Colin Ian King on 2012-01-16
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
The Ubuntu Power Consumption Project
Low
Unassigned
Weather Indicator
Medium
Vadim Rutkovsky
indicator-weather (Ubuntu)
Undecided
Unassigned

Bug Description

Indicator weather applet is appending to /home/$USER/.cache/indicator-weather.log debug messages every minute which is causing disk wakeups and stopping the drive from becoming fully idle in power saving mode.

[MainThread] 2012-01-16 16:43:51,622 - DEBUG - Indicator: setting refresh label to 'Refresh (1 min. ago)'
[MainThread] 2012-01-16 16:43:51,622 - DEBUG - Indicator: scheduling refresh label update in 1 min
[MainThread] 2012-01-16 16:44:51,679 - DEBUG - Indicator: setting refresh label to 'Refresh (2 min. ago)'
[MainThread] 2012-01-16 16:44:51,680 - DEBUG - Indicator: scheduling refresh label update in 1 min
[MainThread] 2012-01-16 16:45:51,728 - DEBUG - Indicator: setting refresh label to 'Refresh (3 min. ago)'
[MainThread] 2012-01-16 16:45:51,729 - DEBUG - Indicator: scheduling refresh label update in 1 min
[MainThread] 2012-01-16 16:46:51,790 - DEBUG - Indicator: setting refresh label to 'Refresh (4 min. ago)'
[MainThread] 2012-01-16 16:46:51,791 - DEBUG - Indicator: scheduling refresh label update in 1 min
[MainThread] 2012-01-16 16:47:51,843 - DEBUG - Indicator: setting refresh label to 'Refresh (5 min. ago)'
[MainThread] 2012-01-16 16:47:51,844 - DEBUG - Indicator: scheduling refresh label update in 1 min

Since these messages are debug messages, are they really necessary and do they need to wake up the disk every minute?

tags: added: battery-power-consumption
Martin Pitt (pitti) wrote :

As it's an universe package which is not installed by default, I'm setting this to low priority.

Changed in indicator-weather (Ubuntu):
status: New → Triaged
Changed in ubuntu-power-consumption:
status: New → Triaged
importance: Undecided → Low
Vadim Rutkovsky (roignac) wrote :

This particular message will be removed. Please post more indicator-weather messages in this bug report

Changed in weather-indicator:
assignee: nobody → Vadim Rutkovsky (roignac)
importance: Undecided → Medium
milestone: none → 11.11.27
status: New → Triaged
Colin Ian King (colin-king) wrote :

HI Vadim, thanks for picking this up so quickly. Attached is a gzip'd log as requested.

Vadim Rutkovsky (roignac) wrote :

Fixed in 11.11.28

Changed in weather-indicator:
status: Triaged → Fix Released
Colin Ian King (colin-king) wrote :

Great! Many thanks Vadim

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-weather - 11.11.28-0ubuntu1

---------------
indicator-weather (11.11.28-0ubuntu1) precise; urgency=low

  * New upstream release.
   - Preferences buttons OK and Cancel and Forecast's Close
     are not focusable (LP: #853774)
   - Don't crash if Google doesn't return icons (LP: #809187)
   - Display degrees in wind info item if Yahoo is selected (LP: #838369)
   - Fixed Assistant behavior for Forward/Back movements (LP: #804659)
   - Fixed a crash when Unknown wind condition was returned, thanks
     Tomasz Maciejewski! (LP: #886028)
   - Don't write too much debug info in the log (LP: #917253)
  * Drop debian/patches/autostart.patch, applied upstream.
  * Drop debian/README.source, no longer needed.
 -- Andrew Starr-Bochicchio <email address hidden> Fri, 20 Jan 2012 15:25:46 -0500

Changed in indicator-weather (Ubuntu):
status: Triaged → Fix Released
Martin Pitt (pitti) on 2012-01-24
Changed in ubuntu-power-consumption:
status: Triaged → Fix Released
Dac Chartrand (conner-bw) wrote :

Is there a way to turn off this debug log all together?

I have over 2 megs of logs (rotated) for checking the weather. Is this really necessary?

-=-=-

 241K May 31 17:00 indicator-weather.log
 1.0M May 29 16:10 indicator-weather.log.1
 1.0M May 14 16:46 indicator-weather.log.2

-=-=-

Wouldn't it be better if the app accepted a switch at launch, like --debug, instead? I don't really see the point of logging all this info. I'm never going to look at this unless I'm developing?

Using Ubuntu 12.04 LTS. Package installed from Ubuntu Software Center.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers